Loading...
Searching...
No Matches
BALL::MMFF94AtomTyper Class Reference

`#include <BALL/MOLMEC/MMFF94/MMFF94Processors.h>`

Inheritance diagram for BALL::MMFF94AtomTyper:

## Classes

struct | AromaticType

## Public Member Functions

| MMFF94AtomTyper ()
| MMFF94AtomTyper (const MMFF94AtomTyper &t)
virtual | ~MMFF94AtomTyper ()
virtual void | assignTo (System &s)
virtual bool | setupHydrogenTypes (Parameters &p, const String &section)
| Read the hydrogen matching from MMFFHDEF.PAR.
virtual bool | setupSymbolsToTypes (Parameters &p, const String &section)
| Read the matching from ID to numerical type from MFFSYMB.PAR.
virtual bool | setupAromaticTypes (Parameters &p, const String &section)
| Read the matching from general ID to ID in aromatic rings.
void | collectHeteroAtomTypes (const MMFF94AtomTypes &atom_types)
Public Member Functions inherited from BALL::AtomTyper
| AtomTyper ()
| AtomTyper (const AtomTyper &t)
virtual | ~AtomTyper ()
bool | setup (const String &filename)
| Setup with the given line based file with SMARTS expressions.
void | setAromaticRings (const vector< HashSet< Atom * > > &rings)
void | setRings (const vector< HashSet< Atom * > > &rings)

## Protected Member Functions

bool | assignAromaticType_5_ (Atom &atom, Position L5, bool anion, bool cation)
Protected Member Functions inherited from BALL::AtomTyper
void | assignTo (Molecule &mol)
virtual void | assignSpecificValues_ (Atom &)
virtual bool | specificSetup_ ()

## Protected Attributes

StringHashMap< String > | partner_type_to_htype_
StringHashMap< Position > | id_to_type_
HashMap< String, AromaticType > | aromatic_types_5_map_
HashSet< String > | cation_atoms_
MMFF94AtomTypes * | atom_types_
HashSet< Position > | hetero_atom_types_
Protected Attributes inherited from BALL::AtomTyper
vector< String > | names_
vector< String > | rules_
vector< Index > | types_
vector< vector< String > > | fields_
Size | number_expected_fields_
vector< HashSet< Atom * > > | rings_
vector< HashSet< Atom * > > | aromatic_rings_
StringHashMap< vector< Position > > | element_to_rules_
HashSet< Atom * > | atoms_

## Additional Inherited Members

Static Public Attributes inherited from BALL::AtomTyper
static StringHashMap< float > | rule_times

## Detailed Description

Definition at line 41 of file MMFF94Processors.h.

## Constructor & Destructor Documentation

## MMFF94AtomTyper() [1/2]

BALL::MMFF94AtomTyper::MMFF94AtomTyper | ( |  | ) |

## MMFF94AtomTyper() [2/2]

BALL::MMFF94AtomTyper::MMFF94AtomTyper | ( | const MMFF94AtomTyper & | t | ) |

## ~MMFF94AtomTyper()

virtual BALL::MMFF94AtomTyper::~MMFF94AtomTyper | ( |  | ) |

inline virtual

Definition at line 63 of file MMFF94Processors.h.

## Member Function Documentation

## assignAromaticType_5_()

bool BALL::MMFF94AtomTyper::assignAromaticType_5_ | ( | Atom & | atom,
|  | Position | L5,
|  | bool | anion,
|  | bool | cation )

protected

## assignTo()

virtual void BALL::MMFF94AtomTyper::assignTo | ( | System & | s | ) |

virtual

Reimplemented from BALL::AtomTyper.

## collectHeteroAtomTypes()

void BALL::MMFF94AtomTyper::collectHeteroAtomTypes | ( | const MMFF94AtomTypes & | atom_types | ) |

## setupAromaticTypes()

virtual bool BALL::MMFF94AtomTyper::setupAromaticTypes | ( | Parameters & | p,
|  | const String & | section )

virtual

Read the matching from general ID to ID in aromatic rings.

## setupHydrogenTypes()

virtual bool BALL::MMFF94AtomTyper::setupHydrogenTypes | ( | Parameters & | p,
|  | const String & | section )

virtual

Read the hydrogen matching from MMFFHDEF.PAR.

## setupSymbolsToTypes()

virtual bool BALL::MMFF94AtomTyper::setupSymbolsToTypes | ( | Parameters & | p,
|  | const String & | section )

virtual

Read the matching from ID to numerical type from MFFSYMB.PAR.

## Member Data Documentation

## aromatic_types_5_map_

HashMap<String, AromaticType> BALL::MMFF94AtomTyper::aromatic_types_5_map_

protected

Definition at line 86 of file MMFF94Processors.h.

## atom_types_

MMFF94AtomTypes* BALL::MMFF94AtomTyper::atom_types_

protected

Definition at line 88 of file MMFF94Processors.h.

## cation_atoms_

HashSet<String> BALL::MMFF94AtomTyper::cation_atoms_

protected

Definition at line 87 of file MMFF94Processors.h.

## hetero_atom_types_

HashSet<Position> BALL::MMFF94AtomTyper::hetero_atom_types_

protected

Definition at line 89 of file MMFF94Processors.h.

## id_to_type_

StringHashMap<Position> BALL::MMFF94AtomTyper::id_to_type_

protected

Definition at line 85 of file MMFF94Processors.h.

## partner_type_to_htype_

StringHashMap<String> BALL::MMFF94AtomTyper::partner_type_to_htype_

protected

Definition at line 84 of file MMFF94Processors.h.